
/**
 * Descripcin de la clase Compresor.
*/

import java.io.*;
import java.util.*;

public class Codificador extends Vigenere
{
    
    public Codificador(String n, String cl) {
        super(n, cl);
    }
    
    public String generarNombre()
    {
        String n = "codif_" + getDocumentoOrigen().getName();
        String parent = getDocumentoOrigen().getParent();
        if (parent != null) {
            n = parent + "\\" + n;
        }
        return n;
    }
  
    /**
     *  Retorna la codificacin de un caracter segn un alfabeto
     *  @param c caracter a codificar
     *  @param posClave posicin dentro de la clave con alfabeto usado para codificar
     *  @return caracter codificado
     *  
     */
    public char codifica(char c, int posClave)
    {
       if ('A' <= c && c <= 'Z') {
           return valorCodificadoVigenere(getClave().charAt(posClave), c);
       } else {
           return c;
       }        
    }
    
     /**
     *  Genera el archivo codificado.
     *  
     */
    public void crearArchivo()
    {
        String nombre = generarNombre();                        
                      
        try {
            //HACER
        } catch (FileNotFoundException e) {
            System.out.println("No existe fichero");            
        } catch (IOException e) {
            System.out.println("Error E/S");
        }
    }
    
}
